SoapServer::fault
SoapServer::handle
SoapServer
PHP Manual

# SoapServer::getFunctions

Returns list of defined functions

### Description

public array SoapServer::getFunctions ( void )

Returns a list of the defined functions in the SoapServer object. This method returns the list of all functions added by SoapServer::addFunction or SoapServer::setClass.

### Parameters

This function has no parameters.

### Return Values

An array of the defined functions.

### Examples

Example #1 SoapServer::getFunctions example

`<?php
$server = new SoapServer(NULL, array("uri" => "http://test-uri"));
$server->addFunction(SOAP_FUNCTIONS_ALL);
if ($_SERVER["REQUEST_METHOD"] == "POST") {
$server->handle();
} else {
echo "This SOAP server can handle following functions: ";
$functions = $server->getFunctions();
foreach($functions as $func) {
echo $func . "\n";
}
}
?>`

### See Also

- SoapServer::SoapServer
- SoapServer::addFunction
- SoapServer::setClass